QGIS Application - Bug report #13878
Same SQL expression behaving differently
2015-11-25 04:28 AM - Paolo Cavallini

Status: Closed
Priority: Normal
Assignee:

Category: Field calculator

Affected QGIS version:2.12.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: duplicate

Copied to github as #: 21901

Description

The same query:

"highway" ILIKE '%foot%' and not "man_made" ilike ‘Yopier%’

returns 0 records when used in the field calculator, hundreds (in our case) when in the layer filter.

To obtain the same result in the field calc one should modify the expression as follows:
"highway" ILIKE '%foot%' and("man_made" is null or not "man_made" ilike 'Y%opier%’)

So, apparently NULLs are handled differently. The behaviour of the filter is more understandable for the end user; in any case, this

inconsistency does not appear good.

Related issues:

Duplicates QGIS Application - Bug report # 7380: Different behavior for "Fiel...

Closed

2013-03-17

History

#1 - 2015-11-25 06:29 AM - Sebastian Dietrich

What type of layer is this (postgres, spatialite, ...)?

#2 - 2015-11-25 06:31 AM - Paolo Cavallini

- Subject changed from Same SQL xpression behaving differently to Same SQL expression behaving differently

shapefile (dbf)

#3 - 2015-11-25 08:44 AM - Jiirgen Fischer
- Resolution set to duplicate
- Status changed from Open to Closed

duplicate of #7380
